Bug 2074756 - Namespace column provide wrong data in ClusterRole Details -> Rolebindings tab
Summary: Namespace column provide wrong data in ClusterRole Details -> Rolebindings tab
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.11
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.11.0
Assignee: Robb Hamilton
QA Contact: Xiyun Zhao
URL:
Whiteboard:
Depends On:
Blocks: 2076369
TreeView+ depends on / blocked
 
Reported: 2022-04-13 02:50 UTC by Xiyun Zhao
Modified: 2022-08-10 11:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-08-10 11:07:02 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)
Namespace_column (245.07 KB, image/png)
2022-04-13 02:50 UTC, Xiyun Zhao
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 11353 0 None open Bug 2074756: fix bug where ClusterRole > RoleBindings did not display… 2022-04-18 13:14:27 UTC
Red Hat Product Errata RHSA-2022:5069 0 None None None 2022-08-10 11:07:26 UTC

Description Xiyun Zhao 2022-04-13 02:50:46 UTC
Created attachment 1872053 [details]
Namespace_column

Description of problem:
All data list in the namespace column is shown as'All namespaces' in User Management -> Roles -> ClusterRole details -> RoleBindings Tab

Version-Release number of selected component (if applicable):
4.11.0-0.nightly-2022-04-11-200046

How reproducible:
Always

Steps to Reproduce:
1. Login OCP as administrator, navigate to UserManagement -> Roles page
2. Select system:image-builder for example, navigate to ClusterRole details -> Rolebindings Tab
3. Check the data that provide on Namespace column

Actual results:
3. 'All namespaces' is the only data that provide on namespaces' column. If select one, and click into the Rolebindings details page, the data is point to an exactly Namespaces  

Expected results:
3. The data on ‘Namespace’ column should as same as it shown in RoleBinding details page

Additional info:

Comment 1 Andrew Ballantyne 2022-04-14 17:19:43 UTC
Hi there Xiyun Zhao, I'm testing out this issue to see if I can reproduce it and I'm having some troubles understanding the flow / issue here.

Your screenshot shows RoleBindings, all of which are ClusterRoleBindings. But the issue you're describing looks to be with `system:image-builder` Role? Which on my cluster shows up as a ClusterRole.

Going to the `system:image-builder` ClusterRole page and the RoleBindings Tab, I see a list of one ClusterRoleBinding called `system:image-builder` and a dozen or two of `system:image-builders` that are RoleBindings... all of which are in the `All Namespaces` namespace. This is looking correct to me.

Could you provide me with more steps how to setup this scenario in which you're not accurately seeing the expected Namespaces value on the ClusterRole page? Also could you provide more screenshots of what you're seeing so I can see about trying to reproduce it on my cluster?

Thanks in advance,
Andrew

Comment 3 Xiyun Zhao 2022-04-18 07:45:09 UTC
Hi Andrew, A new file:Role_Bindings_Namespaces_Column is uploaded

As you can see, duplicate data list in table in Roles -> ClusterRole details page -> RoleBindings Tab. And for the first sharing pic, the project has update to 'openshift-nutanix-Infra', but still the information that provided on Namespaces Column is 'All namespaces' which may cause some misunderstanding

Comment 6 Xiyun Zhao 2022-04-21 16:25:09 UTC
This bug has been verified on payload 4.11.0-0.nightly-2022-04-21-025500

Verification Step:
1. Login OCP, navigate to User Management -> Roles page
2. Search and go to "system:image-builder" details page, then RoleBindings Tab
3. Verify that the listed RoleBindings have a specific Namespace on the Namespace column

Result:
3. The listed RoleBindings have a specific Namespace on the Namespace column on ClusterRole details -> RoleBindings Tab

Comment 8 errata-xmlrpc 2022-08-10 11:07:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.11.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:5069


Note You need to log in before you can comment on or make changes to this bug.